Bug 630062 - (CVE-2010-2760) CVE-2010-2760 Mozilla Dangling pointer vulnerability in nsTreeSelection (MFSA 2010-54)
CVE-2010-2760 Mozilla Dangling pointer vulnerability in nsTreeSelection (MFSA...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
public=20100907,reported=20100901,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-03 11:51 EDT by Josh Bressers
Modified: 2015-08-19 04:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 18:01:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2010-09-03 11:51:43 EDT
Security researcher regenrecht reported via TippingPoint's Zero Day
Initiative that there was a remaining dangling pointer issue leftover from
the fix to CVE-2010-2753. Under certain circumstances one of the pointers
held by a XUL tree selection could be freed and then later reused,
potentially resulting in the execution of attacker-controlled memory.
Comment 1 Vincent Danen 2010-09-07 19:22:45 EDT
This is now public:

http://www.mozilla.org/security/announce/2010/mfsa2010-54.html
Comment 2 errata-xmlrpc 2010-09-07 20:06:49 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0682 https://rhn.redhat.com/errata/RHSA-2010-0682.html
Comment 3 errata-xmlrpc 2010-09-07 20:34:01 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0681 https://rhn.redhat.com/errata/RHSA-2010-0681.html
Comment 4 errata-xmlrpc 2010-09-07 21:10:10 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4

Via RHSA-2010:0680 https://rhn.redhat.com/errata/RHSA-2010-0680.html

Note You need to log in before you can comment on or make changes to this bug.